be.vlaanderen.mercurius.wzcmh.common.v3

## Enum DocumentCategoryType

- java.lang.Object
- - java.lang.Enum<DocumentCategoryType>
  - - be.vlaanderen.mercurius.wzcmh.common.v3.DocumentCategoryType

- All Implemented Interfaces:
    Serializable, Comparable<DocumentCategoryType>

      public enum DocumentCategoryType
      extends Enum<DocumentCategoryType>

  Java class for DocumentCategoryType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="DocumentCategoryType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="CHANGED_DEPENDENCY"/>
           <enumeration value="PALLIATIVE_CARE"/>
           <enumeration value="COMA"/>
           <enumeration value="DEMENTED"/>
           <enumeration value="KATZ"/>
           <enumeration value="ESTIMATE_DOCUMENT_BTC"/>
           <enumeration value="PRESCRIPTION"/>
           <enumeration value="RAR"/>
           <enumeration value="TESTREPORT"/>
           <enumeration value="MOTIVATIONREPORT"/>
           <enumeration value="DELIVERY_DOCUMENT"/>
           <enumeration value="APPLICATION_DOCUMENT"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION_DOCUMENT`
    `CHANGED_DEPENDENCY`
    `COMA`
    `DELIVERY_DOCUMENT`
    `DEMENTED`
    `ESTIMATE_DOCUMENT_BTC`
    `KATZ`
    `MOTIVATIONREPORT`
    `PALLIATIVE_CARE`
    `PRESCRIPTION`
    `RAR`
    `TESTREPORT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DocumentCategoryType` | `fromValue(String v)`
    `String` | `value()`
    `static DocumentCategoryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DocumentCategoryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHANGED_DEPENDENCY

          public static final DocumentCategoryType CHANGED_DEPENDENCY

    - #### PALLIATIVE_CARE

          public static final DocumentCategoryType PALLIATIVE_CARE

    - #### COMA

          public static final DocumentCategoryType COMA

    - #### DEMENTED

          public static final DocumentCategoryType DEMENTED

    - #### KATZ

          public static final DocumentCategoryType KATZ

    - #### ESTIMATE_DOCUMENT_BTC

          public static final DocumentCategoryType ESTIMATE_DOCUMENT_BTC

    - #### PRESCRIPTION

          public static final DocumentCategoryType PRESCRIPTION

    - #### RAR

          public static final DocumentCategoryType RAR

    - #### TESTREPORT

          public static final DocumentCategoryType TESTREPORT

    - #### MOTIVATIONREPORT

          public static final DocumentCategoryType MOTIVATIONREPORT

    - #### DELIVERY_DOCUMENT

          public static final DocumentCategoryType DELIVERY_DOCUMENT

    - #### APPLICATION_DOCUMENT

          public static final DocumentCategoryType APPLICATION_DOCUMENT

  - ### Method Detail

    - #### values

          public static DocumentCategoryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DocumentCategoryType c : DocumentCategoryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DocumentCategoryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static DocumentCategoryType fromValue(String v)

Connector Packaging TRUSSMAKER 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.